using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DemoApplication
{
    public partial class Brightness_Contrast : ControlForm//SemitransparentForm.StForm
    {
        public Brightness_Contrast()
        {
            InitializeComponent();
            //this.IconVisible = false;
            //this.ShowIcon = false;
            this.FormBorderStyle = FormStyle.Movable;
            this.Load += new EventHandler(Brightness_Contrast_Load);
            this.ActivePictureBoxChanged += new EventHandler(activePictureBoxChanged);
            this.FormClosing += new FormClosingEventHandler(Brightness_Contrast_FormClosing);
        }

        void Brightness_Contrast_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (brightnessContrastControl1.thread != null &&
                brightnessContrastControl1.thread.ThreadState != System.Threading.ThreadState.Aborted)
                brightnessContrastControl1.thread.Abort();
        }

        void Brightness_Contrast_Load(object sender, EventArgs e)
        {           
            ActivePictureBox = ((MainForm)this.MdiParent).GetActivePictureBox();            
        }

        private void activePictureBoxChanged(object sender, EventArgs e)
        {
            brightnessContrastControl1.ActivePictureBox = ActivePictureBox;
            brightnessContrastControl1.RefreshValues();
        }
    }
}