using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DemoApplication
{
    public partial class CustomShaped : SemitransparentForm.StForm
    {
        public CustomShaped()
        {
            InitializeComponent();
            this.trBrOpacity.trackBar.Maximum = 100;
            this.trBrOpacity.numericUpDown.Maximum = 100;
            this.trBrOpacity.label.Text = "Opacity";
            this.trBrOpacity.label.ForeColor = Color.Maroon;
            this.Load += new EventHandler(CustomShaped_Load);
            
        }

        void CustomShaped_Load(object sender, EventArgs e)
        {
            //this.trBrOpacity.BackColor = this.TransparencyKey;
            this.trBrOpacity.Value = (int)(this.Opacity * 100);
            this.comboBox1.SelectedIndex = 1;
            this.Opacity = 0.7;
        }

        private void trBrOpacity_ValueChanged(object sender, EventArgs e)
        {
            this.Opacity = trBrOpacity.Value / 100.0;
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Image imageBackup = null;
            if (this.BackgroundImage != null)
            {
                imageBackup = (Image)this.BackgroundImage.Clone();
                this.BackgroundImage.Dispose();
            }
            try
            {
                this.BackgroundImage = new Bitmap(GetType(), string.Format("Resources.Background{0}.png", comboBox1.SelectedIndex + 1));
            }
            catch
            {
                if (imageBackup != null)
                    this.BackgroundImage = new Bitmap(imageBackup);
            }
            finally
            {
                if (imageBackup != null)
                    imageBackup.Dispose();
            }

            //this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")))
            this.Refresh();
        }
    }
}